# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov ^%{python_sitearch}/.*\\\.so$

%define oname	pwquality

%define major	1
%define libname %mklibname %{oname} %{major}
%define devname	%mklibname %{oname} -d

Summary:	Library for password quality checking and generating random passwords
Name:		libpwquality
Version:	1.2.3
Release:	%mkrel 2
# The package is BSD licensed with option to relicense as GPL+
# - this option is redundant as the BSD license allows that anyway.
License:	BSD or GPL+
Group:		System/Libraries
URL:		http://libpwquality.fedorahosted.org/
Source0:	http://fedorahosted.org/releases/l/i/libpwquality/libpwquality-%{version}.tar.bz2
BuildRequires:	libcrack-devel
BuildRequires:	pam-devel
BuildRequires:	python-devel

%description
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

The library also provides a function for generating random passwords with good
pronounceability. The library supports reading and parsing of a configuration
file.

%package tools
Group:		System/Base
Summary:	Tools for password quality checking and generating random passwords
Requires:	cracklib-dicts
Provides:	%{oname} = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}

%description tools
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

The library also provides a function for generating random passwords with good
pronounceability. The library supports reading and parsing of a configuration
file.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared libraries for %{oname}
Requires:	%{name}-tools >= %{version}-%{release}

%description -n %{libname}
The libpwquality library purpose is to provide common functions for password
quality checking and also scoring them based on their apparent randomness.

%package -n %{devname}
Group:		Development/Other
Summary:	Files needed for developing PAM-aware applications and modules for PAM
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
Files needed for development of applications using the libpwquality library.

%package -n python-pwquality
Group:		Development/Python
Summary:	Python bindings for the libpwquality library

%description -n python-pwquality
This is pwquality Python module that provides Python bindings for the
libpwquality library. These bindings can be used for easy password quality
checking and generation of random pronounceable passwords from Python
applications.

%prep
%setup -q

%build
%configure2_5x \
	--with-securedir=%{_libdir}/security \
	--with-pythonsitedir=%{python_sitearch} \
	--disable-static \
	--disable-rpath
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files tools -f %{name}.lang
%doc COPYING README NEWS AUTHORS
%config(noreplace) %{_sysconfdir}/security/%{oname}.conf
%{_bindir}/pwmake
%{_bindir}/pwscore
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/security/pam_pwquality.so

%files -n %{devname}
%{_includedir}/%{oname}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc

%files -n python-pwquality
%{python_sitearch}/%{oname}.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.3-2.mga4
+ Revision: 534775
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 wally <wally> 1.2.3-1.mga4
+ Revision: 478808
- new version 1.2.3

* Thu Jun 20 2013 wally <wally> 1.2.2-1.mga4
+ Revision: 445270
- new version 1.2.2

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 358020
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 1.2.1-1.mga3
+ Revision: 333820
- new version 1.2.1

* Sat Aug 25 2012 wally <wally> 1.2.0-1.mga3
+ Revision: 283859
- new version 1.2.0
- fix some paths after /usr move

* Wed Jun 27 2012 wally <wally> 1.1.1-4.mga3
+ Revision: 264482
- add libpwquality-tools require to lib pkg (to get the config file)

* Wed Jun 27 2012 wally <wally> 1.1.1-3.mga3
+ Revision: 264445
- really fix devel pkg

* Wed Jun 27 2012 wally <wally> 1.1.1-2.mga3
+ Revision: 264435
- fix devel pkg

* Wed Jun 27 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 264401
- import libpwquality (based to .spec from Fedora)

